/**
 * Setting alteration model.
 */
class SettingAlteration {

    /**
     * Creates a setting alteration model.
     *
     * @param {String} settingId - The identifier of the altered setting.
     * @param {String} previousValue - The previous value of the altered setting.
     * @param {String} currentValue - The current value of the altered setting.
     */
    constructor (settingId, previousValue, currentValue) {

        this.settingId = settingId;
        this.previousValue = previousValue;
        this.currentValue = currentValue;
    }
}
